<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<sounds xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../../shared/xml/schema/vehicle_sounds.xsd">
    <motorized>
        <sounds>
            <motor template="engineSmall" file="sounds/t6_loop.gls" volumeScale="1.2"/>
            <motor template="indoorCabinRumble" />

            <gearbox template="transmissionModern_02" linkNode="0>0|0" pitchScale="0.8"  volumeScale="1.1"/>
            <gearbox template="transmissionModern_02" linkNode="0>0|1" pitchScale="1.0" volumeScale="1.1"/>
			
            <compressedAir template="compressedAir"/>
            <airCompressorRun template="brakeCompressorMedium" />
            <airCompressorStop template="compressedAir"/>
        </sounds>
    </motorized>

    <lights>
        <sounds>
            <toggleLights template="switch01"  />
            <turnLight template="switchTurnlight"  />
        </sounds>
    </lights>

    <enterable>
        <sounds>
            <rain template="rainInVehicle"  linkNodeOffset="0 2 -1" volumeScale="2">
                <loopSynthesisRpm>
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="40.0" modifiedValue="1" />
                </loopSynthesisRpm>
                <volume>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="40" modifiedValue="1.2" />
                </volume>

                <pitch>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="15" modifiedValue="1" />
                    <modifier type="SPEED" value="40" modifiedValue="1.0" />
                </pitch>
            </rain>

            <hail template="hailInVehicle"  linkNodeOffset="0 2 -1" volumeScale="1.5">
                <loopSynthesisRpm>
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="42.0" modifiedValue="1" />
                </loopSynthesisRpm>
                <volume>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="42" modifiedValue="1.2" />
                </volume>

                <pitch>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="42" modifiedValue="1.0" />
                </pitch>
            </hail>
        </sounds>
    </enterable>

    <attacherJoints>
        <sounds>
            <attach template="attach01" />
            <hydraulic template="hydraulicOpen02" volumeScale="3.5" pitchScale="0.6"/>
        </sounds>
    </attacherJoints>

    <drivable>
        <sounds>
            <waterSplash template="waterSplash01" />
        </sounds>
    </drivable>

    <ai>
        <automaticSteering>
            <sounds>
                <engage template="gpsEngageDefault"/>
                <disengage template="gpsDisengageDefault"/>
                <lineEnd template="gpsLineEndDefault"/>
            </sounds>
        </automaticSteering>
    </ai>


    <honk>
        <sound template="hornDefault" />
    </honk>
</sounds>
